#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
    long n,k;
    scanf("%ld%ld",&n,&k);
    long long *a=(long long*)malloc((n+1)*sizeof(long long));
    long i;
    for (i=0;i<n;i++)
    {
        scanf("%lld",&a[i]);
    }
    i=0;
    long j;
    while (k>0)
    {
        long long mn;
        long l;
        for (j=i;j<=i+k;j++)
        {
            if (j==i || a[j]<mn) { mn=a[j]; l=j; }
        }
        printf("%lld ",a[l]);
        k=k-l+i;
        i=l+1;
    }
    for (j=i;j<n;j++)
        printf("%lld ",a[j]);
    return 0;
}